/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  void @COMPONENT::vhdl_testbench_label (string label)
  {
    log_printf(FUNC,@COMPONENT,"vhdl_testbench_label","Begin");

#ifdef VHDL_TESTBENCH
    _vhdl_testbench->add_label(label);
#endif
    
    log_printf(FUNC,@COMPONENT,"vhdl_testbench_label","End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
